Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema Class Reference
Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema:
[legend]

## Classes

class | Sample

## Public Types

typedef ICurvesSchema | this_type
typedef ICurvesSchema::Sample | sample_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< CurvesSchemaInfo >
typedef CurvesSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CurvesSchemaInfo >
typedef CurvesSchemaInfo | info_type
typedef ISchema< CurvesSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions

| ICurvesSchema ()
| ICurvesSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ICurvesSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
size_t | getNumSamples () const
| Default assignment and copy operator used.
MeshTopologyVariance | getTopologyVariance () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (sample_type &oSample, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
sample_type | getValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Abc::IV3fArrayProperty | getVelocitiesProperty () const
Abc::IP3fArrayProperty | getPositionsProperty () const
Abc::IInt32ArrayProperty | getNumVerticesProperty () const
Abc::IFloatArrayProperty | getPositionWeightsProperty () const
IV2fGeomParam | getUVsParam () const
IN3fGeomParam | getNormalsParam () const
IFloatGeomParam | getWidthsParam () const
Abc::IUcharArrayProperty | getOrdersProperty () const
Abc::IFloatArrayProperty | getKnotsProperty () const
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (this_type::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< CurvesSchemaInfo >
| IGeomBaseSchema ()
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Abc::IBox3dProperty | getSelfBoundsProperty () const
Abc::IBox3dProperty | getChildBoundsProperty () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CurvesSchemaInfo >
| ISchema ()
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::IP3fArrayProperty | m_positionsProperty
Abc::IV3fArrayProperty | m_velocitiesProperty
Abc::IInt32ArrayProperty | m_nVerticesProperty
Abc::IScalarProperty | m_basisAndTypeProperty
IFloatGeomParam | m_widthsParam
IV2fGeomParam | m_uvsParam
IN3fGeomParam | m_normalsParam
Abc::IFloatArrayProperty | m_positionWeightsProperty
Abc::IUcharArrayProperty | m_ordersProperty
Abc::IFloatArrayProperty | m_knotsProperty
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< CurvesSchemaInfo >
Abc::IBox3dProperty | m_selfBoundsProperty
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CurvesSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Member Typedef Documentation

## this_type

typedef ICurvesSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ICurvesSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::ICurvesSchema | ( |  | ) |

inline

The default constructor creates an empty ICurvesSchema ...

## ICurvesSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::ICurvesSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor creates a new curves reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

## ICurvesSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::ICurvesSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor wraps an existing ICompoundProperty as the curves reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | this_type::valid() |  | ) |

unspecified-bool-type operator overload. ...

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::getTimeSampling | ( |  | ) | const

inline

Time sampling type.

## getTopologyVariance()

MeshTopologyVariance Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::getTopologyVariance | ( |  | ) | const

Return the topological variance. This indicates how the mesh may change.

## isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::isConstant | ( |  | ) | const

inline

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::reset | ( |  | ) |

inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< CurvesSchemaInfo >.

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::valid | ( |  | ) | const

inlinevirtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< CurvesSchemaInfo >.

The documentation for this class was generated from the following files:

- AbcGeom/ICurves.h
- AbcGeom/ICurves.cpp